﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfApp1_hockey.BL;
using WpfApp1_hockey.Data;

namespace WpfApp1_hockey.UI
{
    // IEditorService: dependency 2 layers down
    // Interface dependency + not really layer-bound
    class EditorServiceViaWindow : IEditorService
    {
        public bool EditPlayer(Player p)
        {
            EditorWindow win = new EditorWindow(p);
            return win.ShowDialog() ?? false;
        }
    }
}
